import streamlit as st
import os
import random

# 导入inscode.ai和inscode.ocr，如果需要使用AI处理文本或OCR图像识别，可以直接调用这两个方法
import inscode

# 自动生成1000个中国名字，并将生成的名字保存为txt文件，最后可以将txt文件导出至桌面
def generate_names():
    # 姓氏
    surnames = ['赵', '钱', '孙', '李', '周', '吴', '郑', '王', '冯', '陈', '楮', '卫', '蒋', '沈', '韩', '杨', '朱', '秦', '尤', '许',
                '何', '吕', '施', '张', '孔', '曹', '严', '华', '金', '魏', '陶', '姜', '戚', '谢', '邹', '喻', '柏', '水', '窦', '章',
                '云', '苏', '潘', '葛', '奚', '范', '彭', '郎', '鲁', '韦', '昌', '马', '苗', '凤', '花', '方', '俞', '任', '袁', '柳',
                '酆', '鲍', '史', '唐', '费', '廉', '岑', '薛', '雷', '贺', '倪', '汤', '滕', '殷', '罗', '毕', '郝', '邬', '安', '常',
                '乐', '于', '时', '傅', '皮', '卞', '齐', '康', '伍', '余', '元', '卜', '顾', '孟', '平', '黄', '和', '穆', '萧', '尹',
                '姚', '邵', '湛', '汪', '祁', '毛', '禹', '狄', '米', '贝', '明', '臧', '计', '伏', '成', '戴', '谈', '宋', '茅', '庞',
                '熊', '纪', '舒', '屈', '项', '祝', '董', '梁']
    # 名字
    names = ['涛', '明', '超', '勇', '奇', '兵', '军', '辉', '刚', '平', '亮', '博', '虎', '中', '发', '林', '志', '宇', '震', '飞',
             '风', '浩', '强', '政', '超', '力', '伟', '华', '宏', '帆', '晨', '雷', '欣', '鹏', '敏', '珂', '嘉', '子', '依', '霖',
             '峰', '丽', '洁', '娟', '美', '红', '伟', '民', '建', '磊', '成', '星', '小', '俊', '天', '玲', '雨', '东', '安', '芳',
             '云', '彬', '南', '宁', '言', '哲', '旭', '佳', '荣', '波', '君', '阳', '湖', '江', '苗', '常', '雄', '莉', '岩', '杰',
             '瑶', '杨', '诗', '路', '卫', '诚', '宝', '海', '才', '淑', '秀', '桂', '冬', '婷', '洋', '欢', '秋', '娜', '琳', '钰',
             '蓉', '维', '冰', '铭', '勋', '明', '亚', '永', '文', '雪', '宜']
    # 随机生成1000个名字
    result = []
    for i in range(1000):
        surname = surnames[random.randint(0, len(surnames) - 1)]
        name = names[random.randint(0, len(names) - 1)]
        result.append(surname + name)
    # 将生成的名字保存为txt文件
    with open("1000_names.txt", "w") as f:
        for name in result:
            f.write("%s\n" % name)
    # 导出txt文件至桌面
    desktop_path = os.path.join(os.path.expanduser("~"), "Desktop")
    os.rename('1000_names.txt', os.path.join(desktop_path, '1000_names.txt'))
    st.success("已将生成的txt文件导出至桌面。")

# 主程序
def main():
    st.title("生成1000个中国名字")
    st.write("点击下面按钮开始生成名字")
    if st.button("生成名字"):
        generate_names()

if __name__ == "__main__":
    main()